Bug 465214 - emacs should disable XIM by default
emacs should disable XIM by default
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Novotny
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-10-02 03:38 EDT by Jens Petersen
Modified: 2009-07-21 01:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-21 01:18:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2008-10-02 03:38:28 EDT
Description of problem:
XIM (X Input Method protocol) is pretty intrusive for Emacs users specially for SCIM which defaults to using C-Space as its hotkey, and anyway Emacs provides its own superior builtin input methods designed for native input.  I propose that we turn off XIM by default Emacs for fedora.  It can still be enabled by users using the X resource useXIM.

Steps to Reproduce:
1. Run Emacs with SCIM enabled.
2. Press C-Space
  
Actual results:
2. SCIM is enabled

Expected results:
2. mark to be set

Additional info:
Emacs is capable of input most major Asian languages adequately by itself and also can support has package that support anthy, scim-bridge and uim via elisp, therefore is no need to have XIM enabled by default any longer.
Comment 1 Jens Petersen 2008-10-02 03:39:13 EDT
I think configuring the build with "--without-xim" should be sufficient to do this.
Comment 2 Akira TAGOH 2008-10-02 10:33:31 EDT
I thought building with --without-xim doesn't allow people to turn it on again with X resource.
Comment 4 Bug Zapper 2008-11-25 22:27:08 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Akira TAGOH 2009-04-01 07:26:44 EDT
We shouldn't take a mistake again on this change. just noticed that '--without-xim' option broke a dead key support on emacs earlier. see Bug #224626.

Note You need to log in before you can comment on or make changes to this bug.